# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-02 11:58
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0017_auto_20170902_1206'),
    ]

    operations = [
        migrations.CreateModel(
            name='BrandImage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('img', models.ImageField(upload_to='', verbose_name='изображения')),
                ('order_field', models.PositiveIntegerField(default=0, verbose_name='нажать и тащить')),
            ],
            options={
                'verbose_name_plural': 'изображения',
                'verbose_name': 'изображение',
            },
        ),
        migrations.AlterModelOptions(
            name='brand',
            options={'ordering': ['order_field'], 'verbose_name': 'бренд', 'verbose_name_plural': 'бренды'},
        ),
        migrations.AddField(
            model_name='brandimage',
            name='brand',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='catalogue.Brand', verbose_name='бренд'),
        ),
    ]
